| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PublishModeQosPolicy Class Reference

Class PublishModeQosPolicy, defines the publication mode for a specific writer. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for PublishModeQosPolicy:
[legend]

## Public Member Functions

void | clear () override
| Clears the QosPolicy object.
bool | operator== (const PublishModeQosPolicy &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

PublishModeQosPolicyKind | kind = SYNCHRONOUS_PUBLISH_MODE
| PublishModeQosPolicyKind By default, SYNCHRONOUS_PUBLISH_MODE.
std::string | flow_controller_name = fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT
| Name of the flow controller used when publish mode kind is ASYNCHRONOUS_PUBLISH_MODE.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Class PublishModeQosPolicy, defines the publication mode for a specific writer.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const PublishModeQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ flow_controller_name

std::string flow_controller_name = fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT

Name of the flow controller used when publish mode kind is ASYNCHRONOUS_PUBLISH_MODE.

Since
  2.4.0

## ◆ kind

PublishModeQosPolicyKind kind = SYNCHRONOUS_PUBLISH_MODE

PublishModeQosPolicyKind
By default, SYNCHRONOUS_PUBLISH_MODE.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp